POSTgetInflationGovernor

Returns the current inflation governor

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
commitmentstring (enum)

The commitment describes how finalized a block is at that point in time.

  • finalized - the node will query the most recent block confirmed by supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized
  • confirmed - the node will query the most recent block that has been voted on by supermajority of the cluster.
  • processed - the node will query its most recent block. Note that the block may still be skipped by the cluster.
Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

foundationnumber (float64)

Percentage of total inflation allocated to the foundation

foundationTerminteger

Duration of foundation pool inflation in years

initialnumber (float64)

Initial inflation percentage from time 0

tapernumber (float64)

Rate per year at which inflation is lowered. (Rate reduction is derived using the target slot time in genesis config)

terminalnumber (float64)

Terminal inflation percentage

X-API-KEY
RequestCU10
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getInflationGovernor",
  "params": [
    {
      "commitment": "finalized"
    }
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": {
    "foundation": 0.05,
    "foundationTerm": 7,
    "initial": 0.15,
    "taper": 0.15,
    "terminal": 0.015
  },
  "id": 1
}